CVE-2014-9529

NameCVE-2014-9529
DescriptionRace condition in the key_gc_unused_keys function in security/keys/gc.c in the Linux kernel through 3.18.2 allows local users to cause a denial of service (memory corruption or panic) or possibly have unspecified other impact via keyctl commands that trigger access to a key structure member during garbage collection of a key.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3128-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1fixed
stretch (security)4.9.272-2fixed
buster4.19.208-1fixed
buster (security)4.19.194-3fixed
bullseye5.10.70-1fixed
bullseye (security)5.10.46-5fixed
bookworm, sid5.15.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcewheezy3.2.65-1+deb7u1DSA-3128-1
linuxsource(unstable)3.16.7-ckt4-1
linux-2.6source(unstable)(not affected)

Notes

- linux-2.6 <not-affected> (Vulnerable code not present)
http://marc.info/?l=linux-kernel&m=141986398232547&w=2
http://marc.info/?l=linux-kernel&m=142047362307894&w=2

Search for package or bug name: Reporting problems